Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service.responsehandlers
Class BlockingAddCommentResponseHandler

    java.lang.Object
      org.jbpm.task.service.responsehandlers.AbstractBaseResponseHandler
          org.jbpm.task.service.responsehandlers.AbstractBlockingResponseHandler
              org.jbpm.task.service.responsehandlers.BlockingAddCommentResponseHandler

All Implemented Interfaces:
  TaskClientHandler.AddCommentResponseHandler, org.kie.task.service.ResponseHandler

    public class BlockingAddCommentResponseHandler

extends AbstractBlockingResponseHandler
implements TaskClientHandler.AddCommentResponseHandler

Constructor Summary
`BlockingAddCommentResponseHandler()`

Method Summary
`void` | `execute(long commentId)`
`long` | `getCommentId()`

Methods inherited from class org.jbpm.task.service.responsehandlers.AbstractBlockingResponseHandler
`waitTillDone`

Methods inherited from class org.jbpm.task.service.responsehandlers.AbstractBaseResponseHandler
`createSideException, getError, hasError, isDone, setDone, setError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.kie.task.service.ResponseHandler
`setError`

Constructor Detail

### BlockingAddCommentResponseHandler

    public BlockingAddCommentResponseHandler()

Method Detail

### execute

    public void execute(long commentId)

  Specified by:
    `execute` in interface `TaskClientHandler.AddCommentResponseHandler`

### getCommentId

    public long getCommentId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.